from os import makedirs
from os.path import abspath, basename
dir = abspath(__file__).replace(f"{basename(__file__)}", '')
print(dir)

signs = [{"custom_model_data": 162000, "model": "physical_vehicles:other/signs/circle_blue_left"},{"custom_model_data": 162001, "model": "physical_vehicles:other/signs/circle_blue_right"},{"custom_model_data": 162002, "model": "physical_vehicles:other/signs/crosswalk"},{"custom_model_data": 162003, "model": "physical_vehicles:other/signs/curved_road_left"},{"custom_model_data": 162004, "model": "physical_vehicles:other/signs/curved_road_right"},{"custom_model_data": 162005, "model": "physical_vehicles:other/signs/danger"},{"custom_model_data": 162006, "model": "physical_vehicles:other/signs/danger_move_left"},{"custom_model_data": 162007, "model": "physical_vehicles:other/signs/danger_move_right"},{"custom_model_data": 162008, "model": "physical_vehicles:other/signs/danger_rolling_stones"},{"custom_model_data": 162009, "model": "physical_vehicles:other/signs/dead_end_forward"},{"custom_model_data": 162010, "model": "physical_vehicles:other/signs/dead_end_left"},{"custom_model_data": 162011, "model": "physical_vehicles:other/signs/forward"},{"custom_model_data": 162012, "model": "physical_vehicles:other/signs/give_way"},{"custom_model_data": 162013, "model": "physical_vehicles:other/signs/main_road"},{"custom_model_data": 162014, "model": "physical_vehicles:other/signs/no_entry"},{"custom_model_data": 162015, "model": "physical_vehicles:other/signs/no_forward"},{"custom_model_data": 162016, "model": "physical_vehicles:other/signs/no_movement_1"},{"custom_model_data": 162017, "model": "physical_vehicles:other/signs/no_movement_2"},{"custom_model_data": 162018, "model": "physical_vehicles:other/signs/no_stop"},{"custom_model_data": 162019, "model": "physical_vehicles:other/signs/parking"},{"custom_model_data": 162020, "model": "physical_vehicles:other/signs/speed_limit_50"},{"custom_model_data": 162021, "model": "physical_vehicles:other/signs/speed_limit_70"},{"custom_model_data": 162022, "model": "physical_vehicles:other/signs/speed_limit_90"},{"custom_model_data": 162023, "model": "physical_vehicles:other/signs/stop"},{"custom_model_data": 162024, "model": "physical_vehicles:other/signs/triangle_red_left"},{"custom_model_data": 162025, "model": "physical_vehicles:other/signs/triangle_red_right"},{"custom_model_data": 162026, "model": "physical_vehicles:other/signs/us_speed_limit_60"},{"custom_model_data": 162027, "model": "physical_vehicles:other/signs/u_turn_left"},{"custom_model_data": 162028, "model": "physical_vehicles:other/signs/u_turn_right"},{"custom_model_data": 162029, "model": "physical_vehicles:other/signs/winding_road"}]
directions = ["south","west","north","east"]

for sign in signs:
    cmd = sign["custom_model_data"]
    name = sign["model"][30:]
    print(sign["custom_model_data"],"  ",sign["model"][30:])
    try:
        makedirs(f"{dir}{name}")
    except:
        True
    for slot, direction in enumerate(directions, start=0):
        with open(f"{dir}{name}\{direction}.mcfunction","w+") as file:
            file.write(f"setblock ~ ~ ~ minecraft:soul_campfire[lit=false,facing=north]{{Items:[{{Slot:{slot}b,id:\"minecraft:jigsaw\",Count:1b,tag:{{kill:1,midwut.custom_block:1b,phys_veh.sign:1b,CustomModelData:{cmd}}}}}]}}")